Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000198Frama-CKernelpublic2009-07-21 15:592014-02-12 16:56
Reporterrbonichon 
Assigned Tosignoles 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C GIT, precise the release id 
Target VersionFrama-C Beryllium-20090901Fixed in VersionFrama-C Beryllium-20090901 
Summary0000198: Packing for dynamic plug-in is not done in current directory
DescriptionPacking is now done in $(FRAMAC_LIBDIR)/plugins directly when we type "make".
This is weird as it was done before (no release id sorry) in current directory.
Therefore:
- a simple "make" needs by default "sudo"-like rights to be able to pack in $(FRAMAC_LIBDIR).
- make install now fails in the following way (this is for the mthread plug-in)
cp: /usr/local/lib/frama-c/plugins/Mthread.cmxs and /usr/local/lib/frama-c/plugins/Mthread.cmxs are identical (not copied).
cp: /usr/local/lib/frama-c/plugins/Mthread.cmo and /usr/local/lib/frama-c/plugins/Mthread.cmo are identical (not copied).
gmake: *** [install] Error 1

Steps To ReproduceType make in src/mthread (and also make install if you so wish)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2009-07-21 15:59 rbonichon New Issue
2009-07-21 15:59 rbonichon Status new => assigned
2009-07-21 15:59 rbonichon Assigned To => signoles
2009-07-22 13:54 svn Checkin
2009-07-22 13:54 svn Status assigned => resolved
2009-07-22 13:54 svn Resolution open => fixed
2009-08-26 11:25 signoles Fixed in Version => Frama-C Beryllium
2009-09-02 10:54 signoles Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker